Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Interface WizardDescriptor.AsynchronousValidatingPanel

All Superinterfaces:
  WizardDescriptor.Panel, WizardDescriptor.ValidatingPanel

Enclosing class:
  WizardDescriptor

    public static interface WizardDescriptor.AsynchronousValidatingPanel

extends WizardDescriptor.ValidatingPanel

A special interface for panels that need to do additional asynchronous validation when Next or Finish button is clicked.

During backround validation is Next or Finish button disabled. On validation success wizard automatically progress to next panel or finishes.

During backround validation Cancel button is hooked to signal the validation thread using interrupt().

Since:
  6.2 (16 May 2005)

Method Summary
`void` | `prepareValidation()` Called synchronously from UI thread when Next of Finish buttons clicked.
`void` | `validate()` Is called in separate thread when Next of Finish buttons are clicked and allows deeper check to find out that panel is in valid state and it is ok to leave it.

Methods inherited from interface org.openide.WizardDescriptor.Panel
`addChangeListener, getComponent, getHelp, isValid, readSettings, removeChangeListener, storeSettings`

Method Detail

### prepareValidation

    void prepareValidation()

  Called synchronously from UI thread when Next of Finish buttons clicked. It allows to lock user input to assure official data for background validation.

### validate

    void validate()
                  throws WizardValidationException

  Is called in separate thread when Next of Finish buttons are clicked and allows deeper check to find out that panel is in valid state and it is ok to leave it.

  Specified by:
    `validate` in interface `WizardDescriptor.ValidatingPanel`
  Throws:
    `WizardValidationException` - when validation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.